Archive a staff member
Needs: Staff, Read-write
Archives the staff member by setting their status to Archived. The record is not removed.
curl -X DELETE "https://app.imploy.com.au/api/integrations/v1/staff/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/staff/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/staff/123", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("DELETE", "https://app.imploy.com.au/api/integrations/v1/staff/123", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/staff/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"data": {
"id": 31,
"first_name": "Example",
"last_name": "Worker",
"email": "example.worker@example.com",
"phone": "0400 000 000",
"status": "Archived",
"created_at": "2026-01-12T03:20:41.000000Z",
"updated_at": "2026-02-03T08:05:10.000000Z"
}
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Record not found."
}
{
"message": "Too many requests."
}
DELETE
/staff/{id}DELETE
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAn organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
An organisation access token that starts with
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.path
idinteger
RequiredThe staff member's user id.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
idinteger
RequiredThe staff member's user id.
Responses
OK
Was this page helpful?